Package com.independentsoft.graph.groups

# Class GroupPropertyName

java.lang.Object
com.independentsoft.graph.groups.GroupPropertyName

public class GroupPropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `ALLOW_EXTERNAL_SENDERS`
  `static String`
  `ASSIGNED_LABELS`
  `static String`
  `ASSIGNED_LICENSES`
  `static String`
  `AUTO_SUBSCRIBE_NEW_MEMBERS`
  `static String`
  `CLASSIFICATION`
  `static String`
  `CREATED_TIME`
  `static String`
  `DELETED_TIME`
  `static String`
  `DESCRIPTION`
  `static String`
  `DISPLAY_NAME`
  `static String`
  `EMAIL_ADDRESS`
  `static String`
  `EXPIRATION_TIME`
  `static String`
  `HAS_MEMBER_WITH_LICENSE_ERRORS`
  `static String`
  `HIDE_FROM_ADDRESS_LISTS`
  `static String`
  `HIDE_FROM_OUTLOOK_CLIENTS`
  `static String`
  `ID`
  `static String`
  `IS_SUBSCRIBED_BY_MAIL`
  `static String`
  `LICENSE_PROCESSING_STATE`
  `static String`
  `MAIL_ENABLED`
  `static String`
  `MAIL_NICKNAME`
  `static String`
  `MEMBERS`
  `static String`
  `MEMBERSHIP_RULE`
  `static String`
  `MEMBERSHIP_RULE_PROCESSING_STATE`
  `static String`
  `ON_PREMISES_LAST_SYNC_TIME`
  `static String`
  `ON_PREMISES_NET_BIOS_NAME`
  `static String`
  `ON_PREMISES_PROVISIONING_ERRORS`
  `static String`
  `ON_PREMISES_SAM_ACCOUNT_NAME`
  `static String`
  `ON_PREMISES_SECURITY_IDENTIFIER`
  `static String`
  `ON_PREMISES_SYNC_ENABLED`
  `static String`
  `OWNERS`
  `static String`
  `PREFERRED_DATA_LOCATION`
  `static String`
  `PREFERRED_LANGUAGE`
  `static String`
  `PROXY_ADRESSES`
  `static String`
  `RENEWED_TIME`
  `static String`
  `SECURITY_ENABLED`
  `static String`
  `THEME`
  `static String`
  `TYPES`
  `static String`
  `UNSEEN_CONVERSATIONS_COUNT`
  `static String`
  `UNSEEN_COUNT`
  `static String`
  `UNSEEN_MESSAGES_COUNT`
  `static String`
  `VISIBILITY`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      Constant Field Values

  - ### ALLOW_EXTERNAL_SENDERS

    public static final String ALLOW_EXTERNAL_SENDERS
    See Also:
      Constant Field Values

  - ### ASSIGNED_LABELS

    public static final String ASSIGNED_LABELS
    See Also:
      Constant Field Values

  - ### ASSIGNED_LICENSES

    public static final String ASSIGNED_LICENSES
    See Also:
      Constant Field Values

  - ### AUTO_SUBSCRIBE_NEW_MEMBERS

    public static final String AUTO_SUBSCRIBE_NEW_MEMBERS
    See Also:
      Constant Field Values

  - ### CLASSIFICATION

    public static final String CLASSIFICATION
    See Also:
      Constant Field Values

  - ### CREATED_TIME

    public static final String CREATED_TIME
    See Also:
      Constant Field Values

  - ### DELETED_TIME

    public static final String DELETED_TIME
    See Also:
      Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    See Also:
      Constant Field Values

  - ### DISPLAY_NAME

    public static final String DISPLAY_NAME
    See Also:
      Constant Field Values

  - ### EXPIRATION_TIME

    public static final String EXPIRATION_TIME
    See Also:
      Constant Field Values

  - ### TYPES

    public static final String TYPES
    See Also:
      Constant Field Values

  - ### HAS_MEMBER_WITH_LICENSE_ERRORS

    public static final String HAS_MEMBER_WITH_LICENSE_ERRORS
    See Also:
      Constant Field Values

  - ### HIDE_FROM_ADDRESS_LISTS

    public static final String HIDE_FROM_ADDRESS_LISTS
    See Also:
      Constant Field Values

  - ### HIDE_FROM_OUTLOOK_CLIENTS

    public static final String HIDE_FROM_OUTLOOK_CLIENTS
    See Also:
      Constant Field Values

  - ### IS_SUBSCRIBED_BY_MAIL

    public static final String IS_SUBSCRIBED_BY_MAIL
    See Also:
      Constant Field Values

  - ### LICENSE_PROCESSING_STATE

    public static final String LICENSE_PROCESSING_STATE
    See Also:
      Constant Field Values

  - ### EMAIL_ADDRESS

    public static final String EMAIL_ADDRESS
    See Also:
      Constant Field Values

  - ### MAIL_ENABLED

    public static final String MAIL_ENABLED
    See Also:
      Constant Field Values

  - ### MAIL_NICKNAME

    public static final String MAIL_NICKNAME
    See Also:
      Constant Field Values

  - ### MEMBERSHIP_RULE

    public static final String MEMBERSHIP_RULE
    See Also:
      Constant Field Values

  - ### MEMBERSHIP_RULE_PROCESSING_STATE

    public static final String MEMBERSHIP_RULE_PROCESSING_STATE
    See Also:
      Constant Field Values

  - ### ON_PREMISES_LAST_SYNC_TIME

    public static final String ON_PREMISES_LAST_SYNC_TIME
    See Also:
      Constant Field Values

  - ### ON_PREMISES_NET_BIOS_NAME

    public static final String ON_PREMISES_NET_BIOS_NAME
    See Also:
      Constant Field Values

  - ### ON_PREMISES_PROVISIONING_ERRORS

    public static final String ON_PREMISES_PROVISIONING_ERRORS
    See Also:
      Constant Field Values

  - ### ON_PREMISES_SAM_ACCOUNT_NAME

    public static final String ON_PREMISES_SAM_ACCOUNT_NAME
    See Also:
      Constant Field Values

  - ### ON_PREMISES_SECURITY_IDENTIFIER

    public static final String ON_PREMISES_SECURITY_IDENTIFIER
    See Also:
      Constant Field Values

  - ### ON_PREMISES_SYNC_ENABLED

    public static final String ON_PREMISES_SYNC_ENABLED
    See Also:
      Constant Field Values

  - ### PREFERRED_DATA_LOCATION

    public static final String PREFERRED_DATA_LOCATION
    See Also:
      Constant Field Values

  - ### PREFERRED_LANGUAGE

    public static final String PREFERRED_LANGUAGE
    See Also:
      Constant Field Values

  - ### PROXY_ADRESSES

    public static final String PROXY_ADRESSES
    See Also:
      Constant Field Values

  - ### RENEWED_TIME

    public static final String RENEWED_TIME
    See Also:
      Constant Field Values

  - ### SECURITY_ENABLED

    public static final String SECURITY_ENABLED
    See Also:
      Constant Field Values

  - ### THEME

    public static final String THEME
    See Also:
      Constant Field Values

  - ### UNSEEN_CONVERSATIONS_COUNT

    public static final String UNSEEN_CONVERSATIONS_COUNT
    See Also:
      Constant Field Values

  - ### UNSEEN_COUNT

    public static final String UNSEEN_COUNT
    See Also:
      Constant Field Values

  - ### UNSEEN_MESSAGES_COUNT

    public static final String UNSEEN_MESSAGES_COUNT
    See Also:
      Constant Field Values

  - ### VISIBILITY

    public static final String VISIBILITY
    See Also:
      Constant Field Values

  - ### OWNERS

    public static final String OWNERS
    See Also:
      Constant Field Values

  - ### MEMBERS

    public static final String MEMBERS
    See Also:
      Constant Field Values